libgimpprint API Reference: image

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# image

The image type is an abstract data type for interfacing with the image creation program. More...

## Data Structures
struct | stp_image
| The image type is an abstract data type for interfacing with the image creation program. More...
## Defines
#define | STP_CHANNEL_LIMIT (32)
## Typedefs
typedef stp_image | stp_image_t
| The image type is an abstract data type for interfacing with the image creation program.
## Enumerations
enum | stp_image_status_t { STP_IMAGE_STATUS_OK, STP_IMAGE_STATUS_ABORT }
| Image status. More...
## Functions
void | stp_image_init (stp_image_t *image)
void | stp_image_reset (stp_image_t *image)
int | stp_image_width (stp_image_t *image)
int | stp_image_height (stp_image_t *image)
stp_image_status_t | stp_image_get_row (stp_image_t *image, unsigned char *data, size_t limit, int row)
const char * | stp_image_get_appname (stp_image_t *image)
void | stp_image_conclude (stp_image_t *image)

## Detailed Description

The image type is an abstract data type for interfacing with the image creation program.

## Define Documentation

#define STP_CHANNEL_LIMIT (32)

| The maximum number of channels. Definition at line 49 of file image.h. Referenced by allocate_lut(), copy_lut(), free_channels(), stp_channel_convert(), and stpi_compute_lut().

## Typedef Documentation

typedef struct stp_image stp_image_t

| The image type is an abstract data type for interfacing with the image creation program. It provides callbacks to functions defined within the client application which are called while printing the image. Referenced by adjust_density_and_ink_type(), adjust_print_quality(), escp2_do_print(), escp2_job_end(), escp2_job_start(), escp2_print(), escp2_print_data(), escp2_print_page(), initialize_channels(), olympus_do_print(), olympus_get_cached_output(), olympus_print(), ps_print(), ps_print_internal(), raw_print(), stp_channel_initialize(), stp_color_get_row(), stp_color_init(), stp_dither_init(), stp_end_job(), stp_image_conclude(), stp_image_get_appname(), stp_image_get_row(), stp_image_height(), stp_image_init(), stp_image_reset(), stp_image_width(), stp_print(), stp_start_job(), stpi_color_traditional_get_row(), and stpi_color_traditional_init().

## Enumeration Type Documentation

enum stp_image_status_t

  | Image status. Enumeration values:
  STP_IMAGE_STATUS_OK | Everything is OK.
  STP_IMAGE_STATUS_ABORT | An error occured, or the job was aborted.
Definition at line 53 of file image.h.

## Function Documentation

void stp_image_conclude | ( | stp_image_t * | image | ) |

| Definition at line 73 of file image.c. References stp_image::conclude, and stp_image_t. Referenced by escp2_print_page(), olympus_do_print(), ps_print_internal(), and raw_print().

const char* stp_image_get_appname | ( | stp_image_t * | image | ) |

| Definition at line 64 of file image.c. References stp_image::get_appname, and stp_image_t. Referenced by ps_print_internal().

stp_image_status_t stp_image_get_row | ( | stp_image_t * | image,
|  | unsigned char * | data,
|  | size_t | limit,
|  | int | row
| ) |

| Definition at line 57 of file image.c. References stp_image::get_row, and stp_image_t. Referenced by stpi_color_traditional_get_row().

int stp_image_height | ( | stp_image_t * | image | ) |

| Definition at line 51 of file image.c. References stp_image::height, and stp_image_t. Referenced by escp2_print_data(), olympus_do_print(), ps_print_internal(), and raw_print().

void stp_image_init | ( | stp_image_t * | image | ) |

| Definition at line 31 of file image.c. References stp_image::init, and stp_image_t. Referenced by escp2_do_print(), olympus_do_print(), and ps_print_internal().

void stp_image_reset | ( | stp_image_t * | image | ) |

| Definition at line 38 of file image.c. References stp_image::reset, and stp_image_t.

int stp_image_width | ( | stp_image_t * | image | ) |

| Definition at line 45 of file image.c. References stp_image_t, and stp_image::width. Referenced by olympus_do_print(), ps_print_internal(), raw_print(), stp_channel_initialize(), stp_dither_init(), and stpi_color_traditional_init().